<?php

$paste = '';

if (isset($_GET['plid']) and isset($_GET['elid'])) {
    foreach($_POST['check'] as $check) {
        $paste .= '//c' . $_GET['plid'] . '/' . $_GET['elid'] . '/' . $check;
    }
} elseif (isset($_GET['elid'])) {
    foreach($_POST['check'] as $check) {
        $paste .= '//c' . $_GET['elid'] . '/' . $check;
    }
}

$_SESSION['paste'] = $paste;

echo '<div class="post"><div style="text-align:center">' . "\n";
echo 'Объекты добавлены в буфер для копирования.<br />' . "\n";
echo '<a href="?func=file';
if (isset($_GET['elid'])) {
    echo '&amp;elid=' . urlencode($_GET['elid']);
}
if (isset($_GET['plid'])) {
    echo '&amp;plid=' . urlencode($_GET['plid']);
}
echo '">Продолжить&#187;</a>' . "\n";
echo '</div></div>' . "\n";

?>